// IRJCAMP Module
// Jeffrey J Weimer
// developed from utilities created by J. Gutow
// SVN History: $Revision: 815 $ on $Date: 2008-07-08 13:26:10 -0500 (Tue, 08 Jul 2008) $

#pragma rtGlobals=1
#pragma IgorVersion=6.03
#pragma version = 1.0

#pragma ModuleName=IRJCAMP

Static Function/S LoadJCAMP(ic,udFL)
	STRUCT udFLStandardStructure &udFL
	variable ic

	string wList = ""
	string fileStr=StringFromList(ic,udFL.fileList)

#if(exists("JCAMPLoadWave")==4)
	if (udFL.reportCtrl >= 1)
		print "... file ", fileStr
	endif
	if (udFL.reportCtrl < 0)
		if (strlen(udFL.pathStr)==0)
			JCAMPLoadWave/R/A/Q/H/W/D fileStr
		else
			JCAMPLoadWave/R/A/Q/H/W/D/P=tmpIRDatadir fileStr
		endif
	else
		if (strlen(udFL.pathStr)==0)
			JCAMPLoadWave/R/A/H/W/D fileStr
		else
			JCAMPLoadWave/R/A/H/W/D/P=tmpIRDatadir fileStr
		endif
	endif
	wList = S_waveNames
#else
	if (udFL.reportCtrl >1)
		print "... no file loader to use!"
	endif
#endif
	
	return wList
end
